const view = document.createElement("template");
view.innerHTML = `
    <link rel="stylesheet" href="/vendors/bootstrap/dist/css/bootstrap.css">
    <link rel="stylesheet" href="/vendors/fontawesome/css/all.css">

    <style>
		:host([hidden]) {
            display: none
    }
    </style>

    <div class="mt-4 mb-5">
        <div id="nameInputContainer">
            <h4> Name:</h4>
            <input id="nameInput" class="mt-2 form-control" type="text" placeholder="Variable name"></input>
        </div>
    </div>

    <div class="mt-4 mb-5">
        <div id="instructionInputContainer">
            <h4> Instructions:</h4>
            <textarea id="instructionInput" class="mt-2 form-control" type="text" rows="2" placeholder="Instructions"></textarea>
        </div>
    </div>

    <div class="mb-5">
        <div id="headerInputContainer" class="form-group has-feedback">
            <h4> Response items:</h4>
            <textarea class="header-input-template mt-2 form-control" type="text" rows="1" placeholder="Add a response item" hidden></textarea>
        </div>
    </div>

    <div class="mt-5 mb-4">
        <div id="questionInputContainer"class="">
            <h4> Question items:</h4>
            <textarea class="question-input-template mt-2 form-control" type="text" rows="1" placeholder="Add a question item" hidden></textarea>
        </div>
    </div>

    <div id="requiredInputContainer" class="col-12 my-2">
      <h4> Required:</h4>
      <ui-switch id="requiredSwitch"></ui-switch>
    </div>
`;

export default view;
